Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TargaLoader Class Reference

Targaローダ. More...

`#include <TargaLoader.h>`

List of all members.

## Public Member Functions
| TargaLoader (BinaryReader *reader)
| コンストラクタ
| TargaLoader (const String &fileName)
| コンストラクタ
virtual | ~TargaLoader ()
| デストラクタ
virtual bool | loadHeader ()
| ヘッダのロード
virtual DimensionI | getSize () const
| サイズの取得
virtual int | getWidth () const
| 幅の取得
virtual int | getHeight () const
| 高さの取得
virtual int | hasAlpha () const
| アルファを持つかどうか
virtual void | loadImage (Color3c *output)
| アルファ無しイメージのロード
virtual void | loadImage (Color4c *output)
| アルファ有りイメージのロード

## Detailed Description

Targaローダ.

パレット化されていない非圧縮Targaローダ

Definition at line 38 of file TargaLoader.h.

## Constructor & Destructor Documentation

Lamp::TargaLoader::TargaLoader | ( | BinaryReader * | reader | ) |

  | コンストラクタ Parameters:
  reader | リーダ
Definition at line 51 of file TargaLoader.cpp.

Lamp::TargaLoader::TargaLoader | ( | const String & | fileName | ) |

  | コンストラクタ Parameters:
  fileName | ファイル名
Definition at line 56 of file TargaLoader.cpp. References NULL.

## Member Function Documentation

virtual int Lamp::TargaLoader::getHeight | ( |  | ) | const`[inline, virtual]`

| 高さの取得 Returns: 高さ Definition at line 80 of file TargaLoader.h. References Lamp::DimensionI::height.

virtual DimensionI Lamp::TargaLoader::getSize | ( |  | ) | const`[inline, virtual]`

| サイズの取得 Returns: サイズ Definition at line 68 of file TargaLoader.h. Referenced by Lamp::Sprite::loadPicture(), Lamp::TextSceneLoader::readPictureRGB8(), Lamp::BinarySceneLoader::readPictureRGB8(), Lamp::TextSceneLoader::readPictureRGBA8(), and Lamp::BinarySceneLoader::readPictureRGBA8().

virtual int Lamp::TargaLoader::getWidth | ( |  | ) | const`[inline, virtual]`

| 幅の取得 Returns: 幅 Definition at line 74 of file TargaLoader.h. References Lamp::DimensionI::width.

virtual int Lamp::TargaLoader::hasAlpha | ( |  | ) | const`[inline, virtual]`

| アルファを持つかどうか Returns: アルファを持つならtrue Definition at line 86 of file TargaLoader.h. Referenced by Lamp::Sprite::loadPicture(), Lamp::TextSceneLoader::readPictureList(), and Lamp::BinarySceneLoader::readPictureList().

bool Lamp::TargaLoader::loadHeader | ( |  | ) | `[virtual]`

| ヘッダのロード Returns: 成功すればtrue Definition at line 67 of file TargaLoader.cpp. References Assert, ErrorOut, Lamp::DimensionI::height, Lamp::BinaryReader::readShort(), Lamp::BinaryReader::readUChar(), u_char, and Lamp::DimensionI::width. Referenced by Lamp::Sprite::loadPicture(), Lamp::TextSceneLoader::readPictureList(), and Lamp::BinarySceneLoader::readPictureList().

void Lamp::TargaLoader::loadImage | ( | Color4c * | output | ) | `[virtual]`

  | アルファ有りイメージのロード Parameters:
  output | 出力先バッファ、(width * height) 個のカラー配列へのポインタ
Definition at line 190 of file TargaLoader.cpp. References Lamp::DimensionI::height, Lamp::Reader::readBytes(), Lamp::Color4c::set(), u_char, and Lamp::DimensionI::width.

void Lamp::TargaLoader::loadImage | ( | Color3c * | output | ) | `[virtual]`

  | アルファ無しイメージのロード Parameters:
  output | 出力先バッファ、(width * height) 個のカラー配列へのポインタ
Definition at line 150 of file TargaLoader.cpp. References Lamp::DimensionI::height, Lamp::Reader::readBytes(), Lamp::Color3c::set(), u_char, and Lamp::DimensionI::width. Referenced by Lamp::Sprite::loadPicture(), Lamp::TextSceneLoader::readPictureRGB8(), Lamp::BinarySceneLoader::readPictureRGB8(), Lamp::TextSceneLoader::readPictureRGBA8(), and Lamp::BinarySceneLoader::readPictureRGBA8().

The documentation for this class was generated from the following files:

- TargaLoader.h
- TargaLoader.cpp